<%@ Page Language="C#" AutoEventWireup="false" CodeFile="CheckoutDemo_Advanced.aspx.cs" Inherits="CheckoutDemo_Advanced" %>
<%@ Register TagPrefix="cms" Namespace="Ektron.Cms.Controls" Assembly="Ektron.Cms.Controls" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Checkout Demo</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <cms:Checkout
            id="checkout1"
            runat="server" 
            templatecart="CartDemo.aspx" 
            templateorderhistory="OrderListDemo.aspx" 
            templateshopping="ProductListDemo.aspx"
            templaterecoverpassword="../Membership/MembershipUserResetPassword.aspx" 
            />
    </div>
	<p style="padding: 20px; padding-right: 15%;">
	    Advanced Usage Demonstration: 
	    Code-Behind Customizations (see file CheckoutDemo_Advanced.aspx.cs)<br />
	    This page demonstrates how to hook the Checkout controls events, such as modifying the XML before the XSLT is run to generate the controls output (user interface).
    	<br />
    	<br />
	    <asp:CheckBox ID="SkipShippingMethod" runat="server" Text="Skip Shipping Method Screen" OnCheckedChanged="SkipShippingMethod_CheckedChanged" AutoPostBack="True" Checked="false" />
	</p>
    <div>
		<div >
			<table id="Table1" class="apiDesc" cellspacing="0" cellpadding="0" width="95%" style="background-color:#e8eff7"
				border="1">
				<tbody>
					<tr>
						<td style="height:21pt">
							<table id="Table2" cellspacing="0" cellpadding="5" width="100%" border="0">
								<tbody>
									<tr>
										<td colspan="2">
											<h3><strong><span style="font-family: Arial">Description</span></strong></h3>
										</td>
									</tr>
									<tr>
										<td colspan="2">
											<hr/>
										</td>
									</tr>
									<tr valign="top">
										<td style="white-space:nowrap" align="right"><strong><span style="font-family: Arial">Files:</span></strong></td>
										<td>
											<ul>
												<li><span style="font-family: Arial">Developer\Commerce\CheckoutDemo_Advanced.aspx </span></li>
												<li><span style="font-family: Arial">Developer\Commerce\CheckoutDemo_Advanced.aspx.cs </span>
                                                </li>
											</ul>
										</td>
									</tr>
									<tr valign="top">
										<td style="white-space:nowrap" align="right"><strong><span style="font-family: Arial">Server Control:</span></strong></td>
										<td>
											<p>
                                                <span style="font-family: Arial">Checkout</span></p>
										</td>
									</tr>
									<tr valign="top">
										<td style="white-space:nowrap" align="right"><strong><span style="font-family: Arial">Description:</span></strong></td>
										<td>
                                            <span style="font-family: Arial">
											    <span><strong>Introduction<br />
                                                </strong></span>
                                                The Checkout server control allows a site visitor to navigate through the checkout process. This process includes: </span>
                                                <ul>
                                                <li><span style="font-family: Arial">adding billing and shipping information </span>
                                                </li>
                                                <li><span style="font-family: Arial">selecting a shipping method </span></li>
                                                <li><span style="font-family: Arial">reviewing the order </span></li>
                                                <li><span style="font-family: Arial">submitting the order and credit card information
                                                </span></li>
                                                <li><span style="font-family: Arial">notification that checkout process is complete
                                                </span></li>
                                                </ul>
                                            <span style="font-family: Arial">
                                                 Site visitors typically arrive at this server control by clicking the Checkout button on the Cart server control. They also might reach this server control from a Checkout link you create on your site.</span>
                                                <br />
                                                <br />
                                                <strong><span style="font-family: Arial">Display of the Checkout Server Control</span><br />
                                                </strong><span style="font-family: Arial">In the Checkout server control, &nbsp;you
                                                    specify 
												an XSLT to transform the XML into HTML and use a CSS file to style the UI.</span>
                                                <br />
                                                <br />
                                                <strong><span style="font-family: Arial">Key Properties</span> </strong>
                                            <ul>
                                                <li><span style="font-family: Arial">FriendlyErrorMessage - The message that is shown when an unhandled error occurs. NOTE: Details are sent to the event log. </span>
                                                </li>
                                                <li><span style="font-family: Arial">IsSSLRequired - When set to True, switches to an SSL encrypted URL. For the SSL encryption to work, you must have an SSL certificate installed. </span></li>
                                                <li><span style="font-family: Arial">TemplateCart - Enter the template path to the Cart server control. </span></li>
                                                <li><span style="font-family: Arial">TemplateOrderHistory - Enter the template path to the OrderList server control. </span></li>
                                                <li><span style="font-family: Arial">TemplateRecoverPassword - Enter the path of the template that helps site visitors recover their password. For example, ener the path to a Memebership server control with the DisplayMode proeprty set to ResetPassword.
                                                </span></li>
                                                <li><span style="font-family: Arial">TemplateShopping - Enter the path to the template where a site visitor can continue to search; for example, the ProductSearch or ProductList server control. </span></li>
                                            </ul>
                                            <p>
                                                <strong><span style="font-family: Arial">Additional Information</span><br />
                                                </strong>
                                            </p>
                                            <ul>
                                                <li><span style="font-family: Arial">The "Checkout Server Control" section in the Developer
                                                    Manual.</span> </li>
                                                <li><span style="font-family: Arial">The "Checkout Class" section in the API Documentation.</span>
                                                </li>
                                            </ul>
										</td>
									</tr>
								</tbody>
							</table>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>
	<script type="text/javascript" language="javascript" >
	    //
	    // This Javascript is only for the demo - to remember the status of the checkbox in
	    // case the user goes from a non-authenticated state to authenticated (logged in):
	    //
	    $(document).ready(function (){
	        // recover value from cookie and update checkbox appropriately
	        var flag = false;
	        try {
	            var cookieSegment =  document.cookie.split("CheckoutDemo_Advanced_SkipShippingMethod=")[1];
	            if ("string" == typeof cookieSegment){
	                flag = "true" == cookieSegment.split(";")[0]; 
	            }
	        }
	        catch (e) { flag = false; }
	        
	        // if checkbox status isn't equal to the cookie value, update it
	        if ((flag && "undefined" == typeof $("#SkipShippingMethod").attr("checked")) 
	            || (!flag && "undefined" != typeof $("#SkipShippingMethod").attr("checked"))){
	            $("#SkipShippingMethod").click();
	        }

	        // hook the checkbox click event
	        $("#SkipShippingMethod").click(function (){
	            // checkbox clicked, save state in cookie
	            document.cookie = "CheckoutDemo_Advanced_SkipShippingMethod=" + this.checked.toString();
	        });
	    });
	    
	</script>
    </form>
</body>
</html>
